<?php
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">'.$user['country'].'</div>';
$var=explode(",",$_SERVER['QUERY_STRING']);
$per_page=5;
// получаем номер страницы
if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
// вычисляем первый оператор для LIMIT
$start=abs($page*$per_page);
// составляем запрос и выводим записи
// переменную $start используем, как нумератор записей.
$q="SELECT * FROM `msg` WHERE `by_whom_id`='$id' AND `output`='1' ORDER BY  id  DESC LIMIT $start,$per_page";
$res=mysql_query($q);
if(mysql_num_rows($res) != 0)
{
while($row=mysql_fetch_array($res))
{


echo '<a class="razd" href="about.php?,'.$row[to_whom_id].'">'.$row[to_whom].' ['.$row[when].']</a><div class="info"> ->'.$row[what].'</div></b>
';
}
echo '<a class="razd" href="func.php?del_msg,all,output">Очистить почту</a><div class="info">';

// дальше выводим ссылки на страницы:
$q="SELECT count(*) FROM `msg` WHERE by_whom_id='$id' AND `output`='1'";
$res=mysql_query($q);
$row=mysql_fetch_row($res);
$total_rows=$row[0];

$num_pages=ceil($total_rows/$per_page);

for($i=1;$i<=$num_pages;$i++) {
  if ($i-1 == $page) {
    echo '['.$i."] ";
  } else {
    echo '<a class="razd" href="'.$_SERVER['PHP_SELF'].'?page='.$i.'">'.$i."</a> ";
  }
}
}
else
{
	echo '<div class="info">У вас нет исходящих сообщений!';
}
echo '</div> </div> <a class="razd" href="msg.php">'.$iback.' Назад</a><div class="footer">
<a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
</div>
</body></html>';
?>